MyGUI::TextView Class Reference

`#include <MyGUI_TextView.h>`

## Public Member Functions

void | update (const UString::utf32string &_text, IFont *_font, int _height, Align _align, VertexColourType _format, int _maxWidth=-1)
size_t | getCursorPosition (const IntPoint &_value) const
IntPoint | getCursorPoint (size_t _position) const
const IntSize & | getViewSize () const
size_t | getTextLength () const
const VectorLineInfo & | getData () const

## Detailed Description

Definition at line 18 of file MyGUI_TextView.h.

## Member Function Documentation

## getCursorPoint()

IntPoint MyGUI::TextView::getCursorPoint | ( | size_t | _position | ) | const

Definition at line 325 of file MyGUI_TextView.cpp.

## getCursorPosition()

size_t MyGUI::TextView::getCursorPosition | ( | const IntPoint & | _value | ) | const

Definition at line 282 of file MyGUI_TextView.cpp.

## getData()

const VectorLineInfo & MyGUI::TextView::getData | ( |  | ) | const

Definition at line 367 of file MyGUI_TextView.cpp.

## getTextLength()

size_t MyGUI::TextView::getTextLength | ( |  | ) | const

Definition at line 362 of file MyGUI_TextView.cpp.

## getViewSize()

const IntSize & MyGUI::TextView::getViewSize | ( |  | ) | const

Definition at line 357 of file MyGUI_TextView.cpp.

## update()

void MyGUI::TextView::update | ( | const UString::utf32string & | _text,
|  | IFont * | _font,
|  | int | _height,
|  | Align | _align,
|  | VertexColourType | _format,
|  | int | _maxWidth = -1 )

Definition at line 90 of file MyGUI_TextView.cpp.

The documentation for this class was generated from the following files:

- MyGUI_TextView.h
- MyGUI_TextView.cpp